# Class: Concurrent::Transaction::OpenEntry

Inherits:
  Struct
  - Object
  - Struct
  - Concurrent::Transaction::OpenEntry
  show all

Defined in:
  lib/concurrent-ruby/concurrent/tvar.rb

## Instance Attribute Summary collapse

- #modified ⇒ Object

  Returns the value of attribute modified.

- #value ⇒ Object

  Returns the value of attribute value.

## Instance Attribute Details

### #modified ⇒ `Object`

Returns the value of attribute modified

Returns:

- (`Object`) —

  the current value of modified

    156
    157
    158

    # File 'lib/concurrent-ruby/concurrent/tvar.rb', line 156

    def modified
      @modified
    end

### #value ⇒ `Object`

Returns the value of attribute value

Returns:

- (`Object`) —

  the current value of value

    156
    157
    158

    # File 'lib/concurrent-ruby/concurrent/tvar.rb', line 156

    def value
      @value
    end